Salvar uma pesquisa de satisfação

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/survey/save

Salva ou atualiza uma pesquisa de satisfação na base de dados.

application/json

Body Required

payload

  • name string Required
  • allowedSenderTypes array[string] Required

    Values are USER, AGENT, BOT, ADMIN, SUPERVISOR, or AGENT_SUPERVISOR.

  • active boolean
  • questions object Required
    Hide questions attribute Show questions attribute object
    • * array[object] Additional properties
      Hide * attributes Show * attributes object
      • active boolean Required
      • answers array[object] Required
        Hide answers attributes Show answers attributes object
        • answer object Required
          Hide answer attributes Show answer attributes object
          • id integer(int64)
          • status boolean Required
          • value string Required
        • seq integer(int32) Required
      • id integer(int64)
      • seq integer(int32) Required
      • type object
        Hide type attributes Show type attributes object
        • id integer(int64)
        • name string
      • value string Required
  • id integer(int64)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • active boolean Required
    • allowedSenderTypes array[string] Required

      Values are USER, AGENT, BOT, ADMIN, SUPERVISOR, or AGENT_SUPERVISOR.

    • createdAt string(date-time)
    • createdBy string Required
    • id integer(int64) Required
    • name string Required
    • questions array[object] Required
      Hide questions attributes Show questions attributes object
      • active boolean Required
      • answers array[object] Required
        Hide answers attributes Show answers attributes object
        • answer object Required
          Hide answer attributes Show answer attributes object
          • id integer(int64)
          • status boolean Required
          • value string Required
        • seq integer(int32) Required
      • id integer(int64)
      • seq integer(int32) Required
      • type object
        Hide type attributes Show type attributes object
        • id integer(int64)
        • name string
      • value string Required
    • type object Required
      Hide type attributes Show type attributes object
      • id integer(int64) Required
      • name string Required
    • updatedAt string(date-time)
    • updatedBy string
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/survey/save
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/survey/save' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"string","allowedSenderTypes":["USER"],"active":true,"questions":{"additionalProperty1":[{"active":true,"answers":[{"answer":{"id":42,"status":true,"value":"string"},"seq":42}],"id":42,"seq":42,"type":{"id":42,"name":"string"},"value":"string"}],"additionalProperty2":[{"active":true,"answers":[{"answer":{"id":42,"status":true,"value":"string"},"seq":42}],"id":42,"seq":42,"type":{"id":42,"name":"string"},"value":"string"}]},"id":42}'
Request examples
{
  "name": "string",
  "allowedSenderTypes": [
    "USER"
  ],
  "active": true,
  "questions": {
    "additionalProperty1": [
      {
        "active": true,
        "answers": [
          {
            "answer": {
              "id": 42,
              "status": true,
              "value": "string"
            },
            "seq": 42
          }
        ],
        "id": 42,
        "seq": 42,
        "type": {
          "id": 42,
          "name": "string"
        },
        "value": "string"
      }
    ],
    "additionalProperty2": [
      {
        "active": true,
        "answers": [
          {
            "answer": {
              "id": 42,
              "status": true,
              "value": "string"
            },
            "seq": 42
          }
        ],
        "id": 42,
        "seq": 42,
        "type": {
          "id": 42,
          "name": "string"
        },
        "value": "string"
      }
    ]
  },
  "id": 42
}
Response examples (200)
{
  "active": true,
  "allowedSenderTypes": [
    "USER"
  ],
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "id": 42,
  "name": "string",
  "questions": [
    {
      "active": true,
      "answers": [
        {
          "answer": {
            "id": 42,
            "status": true,
            "value": "string"
          },
          "seq": 42
        }
      ],
      "id": 42,
      "seq": 42,
      "type": {
        "id": 42,
        "name": "string"
      },
      "value": "string"
    }
  ],
  "type": {
    "id": 42,
    "name": "string"
  },
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string"
}